Package be.fgov.ehealth.certra.core.v2

# Enum Class ETKStatusType

java.lang.Object
java.lang.Enum<ETKStatusType>
be.fgov.ehealth.certra.core.v2.ETKStatusType

All Implemented Interfaces:
  `Serializable`, `Comparable<ETKStatusType>`, `java.lang.constant.Constable`

public enum ETKStatusType extends Enum<ETKStatusType>
Type describing the possible statuses of an encryption token

Java class for ETKStatusType

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="ETKStatusType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="NOT_REQUESTED"/>
         <enumeration value="IN_REQUEST"/>
         <enumeration value="WAIT_FOR_ACTIVATION"/>
         <enumeration value="VALID_ACTIVE"/>
         <enumeration value="REVOKED"/>
         <enumeration value="EXPIRED"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXPIRED`
  `IN_REQUEST`
  `NOT_REQUESTED`
  `REVOKED`
  `VALID_ACTIVE`
  `WAIT_FOR_ACTIVATION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ETKStatusType`
  `fromValue(String v)`
  `String`
  `value()`
  `static ETKStatusType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ETKStatusType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NOT_REQUESTED

    public static final ETKStatusType NOT_REQUESTED

  - ### IN_REQUEST

    public static final ETKStatusType IN_REQUEST

  - ### WAIT_FOR_ACTIVATION

    public static final ETKStatusType WAIT_FOR_ACTIVATION

  - ### VALID_ACTIVE

    public static final ETKStatusType VALID_ACTIVE

  - ### REVOKED

    public static final ETKStatusType REVOKED

  - ### EXPIRED

    public static final ETKStatusType EXPIRED

- ## Method Details

  - ### values

    public static ETKStatusType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ETKStatusType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static ETKStatusType fromValue(String v)